=== modified file 'utilities/make-lp-user'
--- utilities/make-lp-user	2010-03-05 13:00:11 +0000
+++ utilities/make-lp-user	2010-03-05 13:14:07 +0000
@@ -201,10 +201,11 @@
     parser.add_option(
         '-e', '--email', action='store', dest='email', default=None,
         help="Email address; set to use real GPG key for this address.")
+
     options, args = parser.parse_args(arguments)
     if len(args) == 0:
         print __doc__
-        return 2
+        sys.exit(2)
 
     options.username = args[0]
     options.teams = args[1:]
@@ -214,15 +215,15 @@
 
 def main(arguments):
     """Run the script."""
-    execute_zcml_for_scripts()
-    transaction.begin()
-
     options = parse_args(arguments)
     if options.email is None:
     	email = '%s@example.com' % options.username
     else:
         email = options.email
 
+    execute_zcml_for_scripts()
+    transaction.begin()
+
     person = make_person(options.username, email)
     add_person_to_teams(person, options.teams)
     add_ssh_public_keys(person)

